Bug 1889290 (CVE-2020-14782) - CVE-2020-14782 OpenJDK: Certificate blacklist bypass via alternate certificate encodings (Libraries, 8237995)
Summary: CVE-2020-14782 OpenJDK: Certificate blacklist bypass via alternate certificat...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-14782
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1879738 1879847 1879737 1879845 1879846 1879997 1879998 1879999 1880001 1881127 1881128 1881129 1881130
Blocks: 1876666
TreeView+ depends on / blocked
 
Reported: 2020-10-19 09:49 UTC by Tomas Hoger
Modified: 2020-10-27 00:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-22 14:21:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4305 None None None 2020-10-22 11:06:56 UTC
Red Hat Product Errata RHSA-2020:4306 None None None 2020-10-22 10:50:21 UTC
Red Hat Product Errata RHSA-2020:4307 None None None 2020-10-22 16:03:30 UTC
Red Hat Product Errata RHSA-2020:4316 None None None 2020-10-22 19:40:16 UTC
Red Hat Product Errata RHSA-2020:4347 None None None 2020-10-26 20:28:50 UTC
Red Hat Product Errata RHSA-2020:4348 None None None 2020-10-27 00:34:25 UTC
Red Hat Product Errata RHSA-2020:4349 None None None 2020-10-26 20:00:52 UTC
Red Hat Product Errata RHSA-2020:4350 None None None 2020-10-27 00:40:58 UTC
Red Hat Product Errata RHSA-2020:4352 None None None 2020-10-26 21:10:31 UTC

Description Tomas Hoger 2020-10-19 09:49:10 UTC
A flaw was found in the way the Libraries component of OpenJDK handled blacklists of untrusted certificates.  Alternate certificate encodings were not considered, causing certain certificate fingerprints to not be blacklisted, possibly leading to untrusted certificates being accepted.

Comment 1 Tomas Hoger 2020-10-20 20:59:46 UTC
Public now via Oracle CPU October 2020:

https://www.oracle.com/security-alerts/cpuoct2020.html#AppendixJAVA

Fixed in Oracle Java SE 15.0.1, 11.0.9, 8u271, and 7u281.

Comment 11 errata-xmlrpc 2020-10-22 10:50:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4306 https://access.redhat.com/errata/RHSA-2020:4306

Comment 12 errata-xmlrpc 2020-10-22 11:06:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4305 https://access.redhat.com/errata/RHSA-2020:4305

Comment 13 Product Security DevOps Team 2020-10-22 14:21:23 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14782

Comment 14 errata-xmlrpc 2020-10-22 16:03:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4307 https://access.redhat.com/errata/RHSA-2020:4307

Comment 16 errata-xmlrpc 2020-10-22 19:40:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4316 https://access.redhat.com/errata/RHSA-2020:4316

Comment 17 Tomas Hoger 2020-10-23 21:09:59 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/adc949b07eeb

OpenJDK-8 upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/eca1dcb470d8

Comment 24 errata-xmlrpc 2020-10-26 20:01:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4349 https://access.redhat.com/errata/RHSA-2020:4349

Comment 25 errata-xmlrpc 2020-10-26 20:28:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4347 https://access.redhat.com/errata/RHSA-2020:4347

Comment 26 errata-xmlrpc 2020-10-26 21:10:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4352 https://access.redhat.com/errata/RHSA-2020:4352

Comment 27 errata-xmlrpc 2020-10-27 00:34:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4348 https://access.redhat.com/errata/RHSA-2020:4348

Comment 28 errata-xmlrpc 2020-10-27 00:40:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4350 https://access.redhat.com/errata/RHSA-2020:4350


Note You need to log in before you can comment on or make changes to this bug.